Bug 97589

Summary: Implement LLInt for CPU(ARM_TRADITIONAL)
Product: WebKit Reporter: Csaba Osztrogonác <ossy>
Component: JavaScriptCoreAssignee: Gabor Rapcsanyi <rgabor>
Status: RESOLVED FIXED    
Severity: Normal CC: benjamin, cmarcelo, fpizlo, gaborb, jesus, loki, ojan.autocc, oliver, ossy, rgabor, webkit.review.bot, zherczeg
Priority: P2 Keywords: Qt, QtTriaged
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on: 95749, 110565    
Bug Blocks: 108645, 97584    
Attachments:
Description Flags
proposed patch
none
proposed patch 2 none

Description Csaba Osztrogonác 2012-09-25 11:57:49 PDT
SSIA
Comment 1 Gabor Rapcsanyi 2013-02-22 05:58:49 PST
Created attachment 189763 [details]
proposed patch

This patch depends on https://bugs.webkit.org/show_bug.cgi?id=110565

I have changed movw, tst.w, add.w to mov, tst and add where they weren't necessary.
Comment 2 Zoltan Herczeg 2013-02-22 06:53:40 PST
Comment on attachment 189763 [details]
proposed patch

View in context: https://bugs.webkit.org/attachment.cgi?id=189763&action=review

> Source/JavaScriptCore/offlineasm/arm.rb:77
> +        if isARMv7 or isARMv7Traditional

You could use elsif here. Same as above.
Comment 3 Csaba Osztrogonác 2013-03-05 08:02:40 PST
ping for review, please :)
Comment 4 Zoltan Herczeg 2013-03-06 04:03:07 PST
After fixing the elsif, this also looks good for me.
Comment 5 Gabor Rapcsanyi 2013-03-14 01:52:11 PDT
Created attachment 193089 [details]
proposed patch 2
Comment 6 Zoltan Herczeg 2013-03-14 02:46:13 PDT
The patch looks good to me, if there are no objections, we can soon land it.
Comment 7 Jesus Sanchez-Palencia 2013-03-20 08:08:31 PDT
Just out of curiosity, have you tried an ARMv5 build after this patch?
Comment 8 Zoltan Herczeg 2013-03-21 06:00:07 PDT
Comment on attachment 193089 [details]
proposed patch 2

r=me.
Comment 9 Gabor Rapcsanyi 2013-03-21 06:02:30 PDT
(In reply to comment #7)
> Just out of curiosity, have you tried an ARMv5 build after this patch?

Yes I tried it and worked fine on ARMv5 as well.
Comment 10 WebKit Review Bot 2013-03-21 06:22:03 PDT
Comment on attachment 193089 [details]
proposed patch 2

Clearing flags on attachment: 193089

Committed r146459: <http://trac.webkit.org/changeset/146459>
Comment 11 WebKit Review Bot 2013-03-21 06:22:07 PDT
All reviewed patches have been landed.  Closing bug.